%define srcname phonon-backend-vlc

Summary:   VLC backend for Phonon
Name:      phonon-vlc
Version:   0.6.2
Release:   %mkrel 1
Source0:   ftp://ftp.kde.org/pub/kde/stable/phonon/%srcname/%version/src/%srcname-%version.tar.xz
License:   LGPLv2
Group:     Video/Utilities
URL:       https://projects.kde.org/projects/kdesupport/phonon/phonon-vlc/

BuildRequires: pkgconfig(libvlc)
BuildRequires: pkgconfig(phonon) >= 4.4.4
BuildRequires: kde4-macros
BuildRequires: automoc4

Provides:  phonon-backend
Requires: vlc-plugin-common
Suggests: vlc-plugin-pulse

%description
This package allows Phonon (the KDE media library) to use VLC
for audio and video playback.

%files

%doc COPYING.LIB AUTHORS
%_kde_libdir/kde4/plugins/phonon_backend/phonon_vlc.so
%_kde_services/phononbackends/vlc.desktop

#--------------------------------------------------------------------

%prep
%setup -qn %srcname-%version
%apply_patches

%build
%cmake_kde4
%make

%install
%makeinstall_std -C build


%changelog

* Wed Feb 13 2013 neoclust <neoclust> 0.6.2-1.mga3
+ Revision: 398285
- New version

* Sun Jan 13 2013 umeabot <umeabot> 0.6.1-2.mga3
+ Revision: 375652
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Fri Nov 16 2012 mikala <mikala> 0.6.1-1.mga3
+ Revision: 319004
- Use Video/Utilities for Group
- Update tarball to 0.6.1

* Fri Sep 07 2012 fwang <fwang> 0.6.0-1.mga3
+ Revision: 289139
- new version 0.6.0

* Tue Feb 28 2012 colin <colin> 0.5.0-1.mga2
+ Revision: 215888
- New version: 0.5.0
- Backport patches from git master to compile against new phonon

  + mikala <mikala>
    - Switch to pkgconfig() buildrequires
    - remove %%defattr
    - use kde layout and macro
    - fix license
    - update url
    - Update tarball to 0.4.1

* Tue Apr 26 2011 mikala <mikala> 0.4.0-1.mga1
+ Revision: 91857
- Update to 0.4.0

* Tue Mar 08 2011 mikala <mikala> 0.3.2-4.mga1
+ Revision: 66598
- Add vlc-plugin-vlc as a suggest

* Fri Feb 18 2011 mikala <mikala> 0.3.2-3.mga1
+ Revision: 53837
- Add vlc-plugin-common as Require
- Drop BuildRoot

* Wed Jan 26 2011 ahmad <ahmad> 0.3.2-2.mga1
+ Revision: 41207
- use current phonon Epoch in the phonon-devel BR
- imported package phonon-vlc


* Sat Jan 22 2011 Funda Wang <fwang@mandriva.org> 0.3.2-1mdv2011.0
+ Revision: 632261
- New version 0.3.2

* Sat Dec 04 2010 Funda Wang <fwang@mandriva.org> 0.3.1-1mdv2011.0
+ Revision: 608593
- new version 0.3.1

* Sun Jul 25 2010 Colin Guthrie <cguthrie@mandriva.org> 0.2.0-1mdv2011.0
+ Revision: 559112
- New version: 0.2.0
- Update to latest git master

* Sun Apr 04 2010 Colin Guthrie <cguthrie@mandriva.org> 0.0.0-0.20100404.1mdv2010.1
+ Revision: 531409
- New snapshot

* Thu Feb 11 2010 Colin Guthrie <cguthrie@mandriva.org> 0.0.0-0.20100211.1mdv2010.1
+ Revision: 504368
- import phonon-vlc


